/**
 * 补料明细表格列
 */
import vm from '@/main';
export const headers = [
  {
    label: vm.$t('message.InventoryOrderNo'),
    key: 'prdOrder', //单号
    width: 220,
  },
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode', //物料号
    width: 220,
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc', //物料描述
    width: 350,
  },
  {
    label: vm.$t('message.po_ActualQuantity'),
    key: 'fillAmount', //实际数量
  },
  {
    label: vm.$t('message.Summary_Number'),
    key: 'amount', //可退数量
  },
  {
    label: vm.$t('message.Feeding_ReplenishedQuantity'),
    key: 'totalFillAmount', //已拣数量
  },
  {
    label: vm.$t('message.po_Location'),
    key: 'locationCode', //库存地点
  },
];
export const bjheaders = [
  {
    label: vm.$t('message.InventoryOrderNo'),
    key: 'prdOrder', //单号
    width: 220,
  },
  {
    label: vm.$t('message.CommissionedMaterielNo'),
    key: 'materialCode', //物料号
    width: 220,
  },
  {
    label: vm.$t('message.CommissionedMaterielDesc'),
    key: 'materialDesc', //物料描述
    width: 450,
  },
  {
    label: vm.$t('message.CommissionedLocation'),
    key: 'userDefined1', //库位
  },
  {
    label: vm.$t('message.CommissionedNumber'),
    key: 'amount', //入库数量
  },
  {
    label: vm.$t('message.Operation'),
    key: 'createBy', //操作人
  },
  {
    label: vm.$t('message.StorageTime'),
    key: 'gmtCreate', //入库时间
    width: 550,
  },
];
export const detailHeader = [
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
    width: 270,
  },
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 270,
  },
  {
    label: vm.$t('message.CommissionedLocation'),
    key: 'wlCode',
  },
  {
    label: vm.$t('message.CommissionedNumber'),
    key: 'qty',
  },
];
export const PropoHeader = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 300,
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 450,
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
    width: 300,
  },
  {
    label: vm.$t('message.Production'),
    key: 'prdOrder',
    width: 300,
  },
];
export const CreteListHeader = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 200,
  },
  {
    label: vm.$t('message.receiveAStation'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.Production'),
    key: 'prdOrder',
  },
  {
    label: vm.$t('message.quantityNum'),
    key: 'amount',
  },
];
